predict.rf.madlib {PivotalR} | R Documentation

## Compute the predictions of the model produced by madlib.randomForest

### Description

This is actually a wrapper for MADlib's predict function of random forests. It accepts the result of `madlib.randomForest`, which is a representation of a random forest model, and computes the predictions for new data sets.

### Usage

        ## S3 method for class 'rf.madlib'
    predict(object, newdata, type = c("response", "prob"),
        ...)

### Arguments

`object` | A `rf.madlib` object, which is the result of `madlib.randomForest`.
`newdata` | A `db.obj` object, which contains the data used for prediction. If it is not given, then the data set used to train the model will be used.
`type` | A string, default is "response". For regessions, this will generate the fitting values. For classification, this will generate the predicted class values. There is an extra option "prob" for classification models, which computes the probabilities of each class.
`...` | Other arguments. Not implemented yet.

### Value

A `db.obj` object, which wraps a table that contains the predicted values and also a valid ID column. For `type='response'`, the predicted column has the fitted value (regression model) or the predicted classes (classification model). For `type='prob'`, there are one column for each class, which contains the probabilities for that class.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### References

[1] Documentation of random forests in MADlib 1.7, http://doc.madlib.net/latest/

### See Also

`madlib.lm`, `madlib.glm`, `madlib.randomForest`, `madlib.rpart`, `madlib.summary`, `madlib.arima`, `madlib.elnet` are all MADlib wrapper functions.

`predict.lm.madlib`, `predict.logregr.madlib`, `predict.elnet.madlib`, `predict.arima.css.madlib`, `predict.dt.madlib`, `predict.rf.madlib` are all predict functions related to MADlib wrapper functions.

### Examples

    ## Not run:

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    x <- as.db.data.frame(abalone, conn.id = cid, verbose = FALSE)

    key(x) <- "id"
    fit <- madlib.randomForest(rings < 10 ~ length + diameter + height + whole + shell,
           data=x)

    predict(fit, x, 'r')

    db.disconnect(cid)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]